# ExecutionProviderOptionMap | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

### Hierarchy

- ExecutionProviderOptionMap

## Index

### Properties

- cpu
- cuda
- wasm
- webgl

## Properties

### cpu

cpu: CpuExecutionProviderOption

- Defined in inference-session.ts:163

### cuda

cuda: CudaExecutionProviderOption

- Defined in inference-session.ts:164

### wasm

wasm: WebAssemblyExecutionProviderOption

- Defined in inference-session.ts:165

### webgl

webgl: WebGLExecutionProviderOption

- Defined in inference-session.ts:166

Generated using TypeDoc